#!/usr/bin/perl

use lib 'C:\Inetpub\wwwroot\cgi-bin';
use HTML::Entities;
use HTML::TreeBuilder;
use URI;
use vars '$VERSION';
use HTML::WikiConverter;
use Env;
$VERSION = '0.61';
use utf8;
use strict;

 # 2006-09-19 Modified by
 # Christian Georgi <christian.georgi@siemens.com>,
 # Philipp Balasch <philipp.balasch@siemens.com>
 #
 # print "Content-type: text/html\n\n";
 
 # print %ENV;
 
 $SIG{'__DIE__'} = sub { print @_; };
 
 my $html;

 # $html = "<h1> Header 1</h1>	<h2> Header 2</h2>	Here is some text.  Here is some <strong>bold text</strong>. Here is some <em>italic text</em>.	<h2> Header 2 (rerun 1)</h2> <h2> Header 2 (rerun 2)</h2>";
 

 
 $html = $ENV{'HTML'};

 # open (OUT,">input.log");
 # print OUT "$html";
 # close (OUT);
 
 my $dialect = $ENV{'DIALECT'};
 my $wikiUri = $ENV{'WIKI_URI'};
 my $baseUri = $ENV{'BASE_URI'};
 my $wc = new HTML::WikiConverter( dialect => "PmWiki" ); #$dialect );
 
 $wc->{wiki_uri} = $wikiUri;
 $wc->{base_uri} = $baseUri;
 $wc->{slurp} = "0";
 
 my $output= $wc->html2wiki(html => $html );

 # open (OUT,">output.log");
 # print OUT "$output";
 # close (OUT);
 
 print "$output";